summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alan Aversa2017-08-25 21:53:34 +0200
committer Willy Sudiarto Raharjo2017-08-26 02:19:48 +0200
commit126a77e69f35425d4b28557db8747ad3bc2a106d (patch)
treeea392479515e03c6e6b3f2c85a06d240c6608d97
parent36b8bebe95c020b9192ac911f94dfc04cb7edf0f (diff)
downloadslackbuilds-126a77e69f35425d4b28557db8747ad3bc2a106d.tar.gz
ham/liquid-dsp: Added (SDR DSP library).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--ham/liquid-dsp/README11
-rw-r--r--ham/liquid-dsp/liquid-dsp.SlackBuild100
-rw-r--r--ham/liquid-dsp/liquid-dsp.info10
-rw-r--r--ham/liquid-dsp/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/ham/liquid-dsp/README b/ham/liquid-dsp/README
new file mode 100644
index 0000000000..6af9a96dfd
--- /dev/null
+++ b/ham/liquid-dsp/README
@@ -0,0 +1,11 @@
+liquid-dsp is a free and open-source digital signal processing (DSP)
+library designed specifically for software-defined radios on embedded
+platforms. The aim is to provide a lightweight DSP library that does not
+rely on a myriad of external dependencies or proprietary and otherwise
+cumbersome frameworks. All signal processing elements are designed to be
+flexible, scalable, and dynamic, including filters, filter design,
+oscillators, modems, synchronizers, and complex mathematical operations.
+
+Note: your CPU must support SSE3 instructions, for a list please see
+
+ https://en.wikipedia.org/wiki/SSE3
diff --git a/ham/liquid-dsp/liquid-dsp.SlackBuild b/ham/liquid-dsp/liquid-dsp.SlackBuild
new file mode 100644
index 0000000000..986b260b76
--- /dev/null
+++ b/ham/liquid-dsp/liquid-dsp.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for liquid-dsp
+
+# Copyright 2017 Alan Aversa USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=liquid-dsp
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O3 -march=i586 -mtune=i686 -msse3"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O3 -march=i686 -mtune=i686 -msse3"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O3 -fPIC -msse3"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O3"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./bootstrap.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --enable-fftoverride
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HISTORY LICENSE README.md TROUBLESHOOTING examples $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/liquid-dsp/liquid-dsp.info b/ham/liquid-dsp/liquid-dsp.info
new file mode 100644
index 0000000000..b8800b344d
--- /dev/null
+++ b/ham/liquid-dsp/liquid-dsp.info
@@ -0,0 +1,10 @@
+PRGNAM="liquid-dsp"
+VERSION="1.3.0"
+HOMEPAGE="http://liquidsdr.org/"
+DOWNLOAD="https://github.com/jgaeddert/liquid-dsp/archive/v1.3.0/liquid-dsp-1.3.0.tar.gz"
+MD5SUM="7c9de25c84f3d8e3611115344474463f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alan Aversa"
+EMAIL="alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)"
diff --git a/ham/liquid-dsp/slack-desc b/ham/liquid-dsp/slack-desc
new file mode 100644
index 0000000000..9650a74b40
--- /dev/null
+++ b/ham/liquid-dsp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+liquid-dsp: liquid-dsp (Software-Defined Radio Digital Signal Processing Library)
+liquid-dsp:
+liquid-dsp: liquid-dsp is the software portion of Software Defined Radio. By using
+liquid-dsp: hardware that converts RF spectrum into a digital stream we are able
+liquid-dsp: to build complex radios to do many types of functions in software
+liquid-dsp: instead of traditional hardwre.
+liquid-dsp:
+liquid-dsp: Paired with a supported hardware receiver, you can use liquid-dsp to
+liquid-dsp: explore the RF world around you. Discover Satellite transmissions,
+liquid-dsp: Amateur Radio, Rail, Areonautical, Shortwave, or any number of
+liquid-dsp: possible signals floating through the air.